package com.ruoyi.system.service;

import java.util.Date;

public interface ILicenseService {
    boolean activateLicense(String licenseKey, Date expireDate);
    boolean checkLicense();
    Date getExpireDate();

    String generateLicenseKey(Date expireDate);
}
